Update a catalog entry
curl --request PATCH \
--url https://api.example.com/preferences/{preference_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"default_enabled": true
}
'import requests
url = "https://api.example.com/preferences/{preference_id}"
payload = {
"label": "<string>",
"default_enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: '<string>', default_enabled: true})
};
fetch('https://api.example.com/preferences/{preference_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Project preference updated",
"data": {
"id": 12,
"project_id": 1,
"target": {
"channel": "digest",
"topic": "none",
"event": "sent"
},
"medium": "email",
"default_enabled": false,
"label": "Weekly digest",
"created_at": "2025-11-07T05:31:56Z",
"updated_at": "2025-11-07T06:00:00Z"
}
}{
"error": "<string>",
"details": "<string>"
}Project Preferences
Update a catalog entry
Update a catalog entry’s label and default. The natural key (channel/topic/event/medium) is immutable.
PATCH
/
preferences
/
{preference_id}
Update a catalog entry
Update a catalog entry’s
label and default_enabled. The natural key (channel/topic/event/medium) is immutable — to change it, delete the entry and create a new one.Authorizations
Bearer authentication header of the form Bearer bv_xxxxxxxxx, where bv_xxxxxxxxx is your API Key with Full access scope.
Path Parameters
The catalog entry's ID.
Body
application/json
Response
The updated catalog entry.
⌘I